using System.ComponentModel;
using IDIS.Model;
using Newtonsoft.Json;

namespace IDIS.YL106.Model;

public record Procedure_Transport:Procedure_Base
{
	/// <summary>
	/// 指定容器
	/// </summary>
	[DisplayName("指定容器")]
	[JsonProperty("container_handle")]
	public string ContainerHandle { get; set; } = string.Empty;

	/// <summary>
	/// 原位置
	/// </summary>
	[DisplayName("原位置")]
	[JsonProperty("original_destination")]
	public string OriginalDestination { get; set; } = string.Empty;

	/// <summary>
	/// 目标位置
	/// </summary>
	[DisplayName("目标位置")]
	[JsonProperty("target_destination")]
	public string TargetDestination { get; set; } = string.Empty;
}