﻿using System.ComponentModel;
using IDIS.Model;
using Newtonsoft.Json;

namespace IDIS.YL106.Model;

public record Object_Material: IDIS_Model
{
    /// <summary>
    /// 物料名称
    /// </summary>
    [DisplayName("物料名称")]
    [JsonProperty("material_name")]
    public string MaterialName { get; set; } = string.Empty;

    /// <summary>
    /// 物料类型
    /// </summary>
    [DisplayName("物料类型")]
    [JsonProperty("material_type")]
    public string MaterialType { get; set; } = string.Empty;

    /// <summary>
    /// 生产日期
    /// </summary>
    [DisplayName("生产日期")]
    [JsonProperty("manufacture_date")]
    public string ManufactureDate { get; set; } = string.Empty;
}
